<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIGL: tiglCombinerPageR Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIGL
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtiglCombinerPageR-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tiglCombinerPageR Class Reference<div class="ingroups"><a class="el" href="group__algorithm__group.html">Algorithms</a> &#124; <a class="el" href="group__page__rank.html">Page Rank</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Combiner class for the page rank algorithm: it uses sum combining.  
 <a href="classtiglCombinerPageR.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tiglExamplesPageRank_8hpp_source.html">tiglExamplesPageRank.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for tiglCombinerPageR:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtiglCombinerPageR.png" usemap="#tiglCombinerPageR_map" alt=""/>
  <map id="tiglCombinerPageR_map" name="tiglCombinerPageR_map">
<area href="classtiglCombiner.html" alt="tiglCombiner&lt; DblMessage &gt;" shape="rect" coords="0,0,176,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad74222801c8eb50e04aec9676a80a694"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad74222801c8eb50e04aec9676a80a694"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiglCombinerPageR.html#ad74222801c8eb50e04aec9676a80a694">combineMessages</a> (MESSAGE_ITERATOR itIn, uint_fast32_t numMessages, MESSAGE_ITERATOR itOut)</td></tr>
<tr class="memdesc:ad74222801c8eb50e04aec9676a80a694"><td class="mdescLeft">&#160;</td><td class="mdescRight">customized combine function that calls the generic sum combine <br /></td></tr>
<tr class="separator:ad74222801c8eb50e04aec9676a80a694"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa772f14f8f57b9a010e1ed75ad8641e9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa772f14f8f57b9a010e1ed75ad8641e9"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiglCombinerPageR.html#aa772f14f8f57b9a010e1ed75ad8641e9">combineMessages</a> (<a class="el" href="classMessage.html">DblMessage</a> &amp;newMessage, MESSAGE_ITERATOR itOut)</td></tr>
<tr class="memdesc:aa772f14f8f57b9a010e1ed75ad8641e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">customized combine function that calls the generic sum combine <br /></td></tr>
<tr class="separator:aa772f14f8f57b9a010e1ed75ad8641e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtiglCombiner"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtiglCombiner')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtiglCombiner.html">tiglCombiner&lt; DblMessage &gt;</a></td></tr>
<tr class="memitem:aecd9b18389735ebab5354a9a192e4020 inherit pub_methods_classtiglCombiner"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiglCombiner.html#aecd9b18389735ebab5354a9a192e4020">combineMessages</a> (MESSAGE_ITERATOR itIn, uint_fast32_t numMessages, MESSAGE_ITERATOR itOut)</td></tr>
<tr class="memdesc:aecd9b18389735ebab5354a9a192e4020 inherit pub_methods_classtiglCombiner"><td class="mdescLeft">&#160;</td><td class="mdescRight">empty core combine function. Here it is an empty function that must be overridden by customized vertex definition for the different graph algorithms  <a href="#aecd9b18389735ebab5354a9a192e4020">More...</a><br /></td></tr>
<tr class="separator:aecd9b18389735ebab5354a9a192e4020 inherit pub_methods_classtiglCombiner"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a753c1c8803743ac43e91f19975b30af2 inherit pub_methods_classtiglCombiner"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiglCombiner.html#a753c1c8803743ac43e91f19975b30af2">combineMessages</a> (<a class="el" href="classMessage.html">DblMessage</a> &amp;newMessage, MESSAGE_ITERATOR itOut)</td></tr>
<tr class="memdesc:a753c1c8803743ac43e91f19975b30af2 inherit pub_methods_classtiglCombiner"><td class="mdescLeft">&#160;</td><td class="mdescRight">empty core combine function from adding a single message. Here it is an empty function that must be overridden by customized vertex definition for the different graph algorithms  <a href="#a753c1c8803743ac43e91f19975b30af2">More...</a><br /></td></tr>
<tr class="separator:a753c1c8803743ac43e91f19975b30af2 inherit pub_methods_classtiglCombiner"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4eebe24c6a26fc98148940065ac9c5b inherit pub_methods_classtiglCombiner"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiglCombiner.html#aa4eebe24c6a26fc98148940065ac9c5b">sumCombineMessages</a> (MESSAGE_ITERATOR itIn, uint_fast32_t numMessages, MESSAGE_ITERATOR itOut)</td></tr>
<tr class="memdesc:aa4eebe24c6a26fc98148940065ac9c5b inherit pub_methods_classtiglCombiner"><td class="mdescLeft">&#160;</td><td class="mdescRight">implementation of sum combine function. it sums the data fields of all messages into a single message  <a href="#aa4eebe24c6a26fc98148940065ac9c5b">More...</a><br /></td></tr>
<tr class="separator:aa4eebe24c6a26fc98148940065ac9c5b inherit pub_methods_classtiglCombiner"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9bacc561b203b7abe26a0175fe6d46a inherit pub_methods_classtiglCombiner"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiglCombiner.html#ad9bacc561b203b7abe26a0175fe6d46a">sumCombineMessages</a> (<a class="el" href="classMessage.html">DblMessage</a> &amp;newMessage, MESSAGE_ITERATOR itOut)</td></tr>
<tr class="memdesc:ad9bacc561b203b7abe26a0175fe6d46a inherit pub_methods_classtiglCombiner"><td class="mdescLeft">&#160;</td><td class="mdescRight">implementation of sum combine function for adding a single message.  <a href="#ad9bacc561b203b7abe26a0175fe6d46a">More...</a><br /></td></tr>
<tr class="separator:ad9bacc561b203b7abe26a0175fe6d46a inherit pub_methods_classtiglCombiner"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2206471de99d722dac790f6ed9b44d08 inherit pub_methods_classtiglCombiner"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiglCombiner.html#a2206471de99d722dac790f6ed9b44d08">maxCombineMessages</a> (MESSAGE_ITERATOR itIn, uint_fast32_t numMessages, MESSAGE_ITERATOR itOut)</td></tr>
<tr class="memdesc:a2206471de99d722dac790f6ed9b44d08 inherit pub_methods_classtiglCombiner"><td class="mdescLeft">&#160;</td><td class="mdescRight">implementation of maximum combine function. it computes the maximum the data fields of all messages into a single message  <a href="#a2206471de99d722dac790f6ed9b44d08">More...</a><br /></td></tr>
<tr class="separator:a2206471de99d722dac790f6ed9b44d08 inherit pub_methods_classtiglCombiner"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a075730c5510d5998da3e1200b3f3c7a5 inherit pub_methods_classtiglCombiner"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiglCombiner.html#a075730c5510d5998da3e1200b3f3c7a5">maxCombineMessages</a> (<a class="el" href="classMessage.html">DblMessage</a> &amp;newMessage, MESSAGE_ITERATOR itOut)</td></tr>
<tr class="memdesc:a075730c5510d5998da3e1200b3f3c7a5 inherit pub_methods_classtiglCombiner"><td class="mdescLeft">&#160;</td><td class="mdescRight">implementation of max combine function for adding a single message.  <a href="#a075730c5510d5998da3e1200b3f3c7a5">More...</a><br /></td></tr>
<tr class="separator:a075730c5510d5998da3e1200b3f3c7a5 inherit pub_methods_classtiglCombiner"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dffd8924866931c4092ae85a869b49e inherit pub_methods_classtiglCombiner"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiglCombiner.html#a5dffd8924866931c4092ae85a869b49e">minCombineMessages</a> (MESSAGE_ITERATOR itIn, uint_fast32_t numMessages, MESSAGE_ITERATOR itOut)</td></tr>
<tr class="memdesc:a5dffd8924866931c4092ae85a869b49e inherit pub_methods_classtiglCombiner"><td class="mdescLeft">&#160;</td><td class="mdescRight">implementation of minimum combine function. it computes the minimum the data fields of all messages into a single message  <a href="#a5dffd8924866931c4092ae85a869b49e">More...</a><br /></td></tr>
<tr class="separator:a5dffd8924866931c4092ae85a869b49e inherit pub_methods_classtiglCombiner"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19259cb643dae0bcac418ca91ae55855 inherit pub_methods_classtiglCombiner"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiglCombiner.html#a19259cb643dae0bcac418ca91ae55855">minCombineMessages</a> (<a class="el" href="classMessage.html">DblMessage</a> &amp;newMessage, MESSAGE_ITERATOR itOut)</td></tr>
<tr class="memdesc:a19259cb643dae0bcac418ca91ae55855 inherit pub_methods_classtiglCombiner"><td class="mdescLeft">&#160;</td><td class="mdescRight">implementation of sum combine function for adding a single message.  <a href="#a19259cb643dae0bcac418ca91ae55855">More...</a><br /></td></tr>
<tr class="separator:a19259cb643dae0bcac418ca91ae55855 inherit pub_methods_classtiglCombiner"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Combiner class for the page rank algorithm: it uses sum combining. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/mohamed/code/tigl/examples/<a class="el" href="tiglExamplesPageRank_8hpp_source.html">tiglExamplesPageRank.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jan 19 2015 14:29:49 for TIGL by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
